extends ./layout

block append styles
  link(href="/public/assets/dashboard.css", rel="stylesheet")

block content
  .ui.raised.container.segment
    h1.center.aligned.ui.header Team #{team.name}

    .ui.divider

    .ui.piled.segment
      h2.ui.center.aligned.header News:
        .ui.left.aligned.one.column.stackable.grid
          .row
            .column.wide.news
              p.item Download announcement document from #[a(href="/static/ACM-BUT-Announcement.pdf") here].

    .ui.divider

    .ui.padded.piled.segment
      table.ui.fixed.padded.celled.table
        thead
          tr.center.aligned
            th(colspan="6")
              h2.ui.center.aligned.header Members
          tr
            th.center.aligned First Name
            th.center.aligned Last Name
            th.center.aligned Student ID
            th.center.aligned Phone No.
            th.center.aligned National ID
            th.center.aligned Operation
        tbody
          each member in team.members
            tr
              td(data-label="First Name")=member.firstName
              td(data-label="Last Name")=member.lastName
              td(data-label="Student ID")=member.studentId
              td(data-label="Phone No.")=member.mobile
              td(data-label="National ID")=member.nationalId
              td(data-label="Operation")
                form(action="/dashboard", method="post").ui.form.no-margin
                  input(name="teamId", type="hidden", value=team.id)
                  input(name="memberId", type="hidden", value=member.id)

                  input(name="action", type="hidden", value="deleteMember")
                  button(class={disabled : !team.canDeleteMemeber}, type="submit", disabled=member.isHead || !team.canDeleteMemeber).ui.inverted.fluid.red.button Delete
          if team.canAddMoreMemebers
            form(action=`/dashboard`, method="post").ui.form
              tr
                td(data-label="First Name")
                  .ui.fluid.input
                    input(name="firstName", type="text", placeholder="Majid", value=form && form.firstName)
                  if error && error.validation && error.validation.firstName
                    .ui.error.message
                      p=error.validation.firstName

                td(data-label="Last Name")
                  .ui.fluid.input
                    input(name="lastName", type="text", placeholder="Mohammadi", value=form && form.lastName)
                  if error && error.validation && error.validation.lastName
                    .ui.error.message
                      p=error.validation.lastName

                td(data-label="Student ID")
                  .ui.fluid.input
                    input(name="studentId", type="text", placeholder="9811111111", value=form && form.studentId)
                  if error && error.validation && error.validation.studentId
                    .ui.error.message
                      p=error.validation.studentId

                td(data-label="Phone No.")
                  .ui.fluid.input
                    input(name="mobile", type="text", placeholder="9123456789", value=form && form.mobile)
                  if error && error.validation && error.validation.mobile
                    .ui.error.message
                      p=error.validation.mobile

                td(data-label="National ID")
                  .ui.fluid.input
                    input(name="nationalId", type="text", placeholder="0640552333", value=form && form.nationalId)
                  if error && error.validation && error.validation.nationalId
                    .ui.error.message
                      p=error.validation.nationalId

                td(data-label="Operation")
                  input(name="teamId", type="hidden", value=`${team.id}`)
                  input(name="action", type="hidden", value="addMember")
                  button(type="submit").ui.inverted.green.fluid.button Add

      if error && error.message
        .ui.center.aligned.text.error.message
          p=error.message

    .ui.padded.piled.segment
      h2.center.aligned.ui.header Payment
        .ui.divider
        .ui.two.column.stackable.grid
          .row
            .column
              p Amount:
            .column
              p
                =team.paymentAmount
                small Rials

          .row
            .column
              p Status:
            .column
              if team.paid
                p.text.green Paid
              else
                p.text.red Unpaid

        .ui.centered.grid
          .row
            .six.wide.computer.sixteen.wide.mobile.column
              form(action=`/pay/${team.id}`, method="post").ui.form
                button.ui.vertical.animated.positive.very.large.fluid.button(class={disabled: !paymentEnabled || team.paid === true}, type="submit", tabindex="0", disabled=team.paid || !paymentEnabled)
                  .visible.content
                    if team.paid
                      h2 Paid!
                    else
                      h2 Pay
                  .hidden.content
                    i.money.bill.alternate.large.icon
          
          if !paymentEnabled
            .row
              .ten.wide.computer.sixteen.wide.mobile.column
                .ui.error.farsi.message(dir="rtl")
                  .header
                    h2 درگاه پرداخت در حال حاضر دچار مشکل است!
                  p.
                    لطفا برای پرداخت مبلغ ثبت نام و تایید ثبت نام، مبلغ ثبت نام را به شماره کارت
                    #[code.code(dir="ltr") 6037-9919-3247-7486]
                    به نام
                    #[code.code.text.fa مرتضی بهبودیان]
                    کارت به کارت کنید و تصویر رسید را به شناسه تلگرام
                    #[a(href="https://t.me/xeptore", dir="ltr").text.id @xeptore]
                    ارسال کنید.
                  p با تشکر.

  script(src="/public/assets/js/dashboard.js")
